package com.steerinfo.ems.trmplanvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.HashMap;

public class TRmPlanValue implements IBasePO<HashMap<String, Object>>  {
    /**
     * 时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="时间",required=false)
    private String clock;

    /**
     * 项目ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="项目ID",required=false)
    private String itemid;

    /**
     * 粒度代码(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="粒度代码",required=false)
    private String timegranid;

    /**
     * 计算值(ACTUALVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="计算值",required=true)
    private BigDecimal actualvalue;

    /**
     * 修正值(CORRECTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="修正值",required=true)
    private BigDecimal correctvalue;

    /**
     * 最终值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="最终值",required=true)
    private BigDecimal apportvalue;

    /**
     * 折标值(STDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="折标值",required=true)
    private BigDecimal stdvalue;

    /**
     * 累计值(SUMVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计值",required=true)
    private BigDecimal sumvalue;

    /**
     * 累计折标值(SUMSTDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计折标值",required=true)
    private BigDecimal sumstdvalue;

    /**
     * 记录创建时间(REC_TIME,VARCHAR,40)
     */
    @ApiModelProperty(value="记录创建时间",required=true)
    private String recTime;

    /**
     * 班组(TEAMSORT,VARCHAR,10)
     */
    @ApiModelProperty(value="班组",required=true)
    private String teamsort;

    /**
     * 修改次数(MODIFYFLAG,DECIMAL,4)
     */
    @ApiModelProperty(value="修改次数",required=true)
    private Short modifyflag;

    /**
     * 是否锁定(ISLOCK,VARCHAR,1)
     */
    @ApiModelProperty(value="是否锁定",required=true)
    private String islock;

    /**
     * 锁定报表ID(LOCKID,VARCHAR,64)
     */
    @ApiModelProperty(value="锁定报表ID",required=true)
    private String lockid;

    /**
     * 计划单耗值(CONSUMEVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="计划单耗值",required=true)
    private BigDecimal consumevalue;

    /**
     * 单耗值(UCVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="单耗值",required=true)
    private BigDecimal ucvalue;

    /**
     * 累计单耗值(SUMUCVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计单耗值",required=true)
    private BigDecimal sumucvalue;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh01;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh02;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh03;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh04;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh05;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh06;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh07;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh08;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh09;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh10;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh11;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh12;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh13;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh14;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh15;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh16;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh17;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh18;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh19;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh20;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh21;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh22;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh23;

    @ApiModelProperty(value="",required=true)
    private BigDecimal hh00;

    /**
     * 修改原因(UPDATE_REASON,VARCHAR,400)
     */
    @ApiModelProperty(value="修改原因",required=true)
    private String updateReason;

    /**
     * 修改人(USERID,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String userid;

    /**
     * 修改时间(UPTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String uptime;

    /**
     * 创建人(CRMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String crman;

    private static final long serialVersionUID = 1L;

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid = userid == null  ? null : userid.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public BigDecimal getActualvalue() {
        return actualvalue;
    }

    public void setActualvalue(BigDecimal actualvalue) {
        this.actualvalue = actualvalue;
    }

    public BigDecimal getCorrectvalue() {
        return correctvalue;
    }

    public void setCorrectvalue(BigDecimal correctvalue) {
        this.correctvalue = correctvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public BigDecimal getStdvalue() {
        return stdvalue;
    }

    public void setStdvalue(BigDecimal stdvalue) {
        this.stdvalue = stdvalue;
    }

    public BigDecimal getSumvalue() {
        return sumvalue;
    }

    public void setSumvalue(BigDecimal sumvalue) {
        this.sumvalue = sumvalue;
    }

    public BigDecimal getSumstdvalue() {
        return sumstdvalue;
    }

    public void setSumstdvalue(BigDecimal sumstdvalue) {
        this.sumstdvalue = sumstdvalue;
    }

    public String getRecTime() {
        return recTime;
    }

    public void setRecTime(String recTime) {
        this.recTime = recTime == null ? null : recTime.trim();
    }

    public String getTeamsort() {
        return teamsort;
    }

    public void setTeamsort(String teamsort) {
        this.teamsort = teamsort == null ? null : teamsort.trim();
    }

    public Short getModifyflag() {
        return modifyflag;
    }

    public void setModifyflag(Short modifyflag) {
        this.modifyflag = modifyflag;
    }

    public String getIslock() {
        return islock;
    }

    public void setIslock(String islock) {
        this.islock = islock == null ? null : islock.trim();
    }

    public String getLockid() {
        return lockid;
    }

    public void setLockid(String lockid) {
        this.lockid = lockid == null ? null : lockid.trim();
    }

    public BigDecimal getConsumevalue() {
        return consumevalue;
    }

    public void setConsumevalue(BigDecimal consumevalue) {
        this.consumevalue = consumevalue;
    }

    public BigDecimal getUcvalue() {
        return ucvalue;
    }

    public void setUcvalue(BigDecimal ucvalue) {
        this.ucvalue = ucvalue;
    }

    public BigDecimal getSumucvalue() {
        return sumucvalue;
    }

    public void setSumucvalue(BigDecimal sumucvalue) {
        this.sumucvalue = sumucvalue;
    }

    public BigDecimal getHh01() {
        return hh01;
    }

    public void setHh01(BigDecimal hh01) {
        this.hh01 = hh01;
    }

    public BigDecimal getHh02() {
        return hh02;
    }

    public void setHh02(BigDecimal hh02) {
        this.hh02 = hh02;
    }

    public BigDecimal getHh03() {
        return hh03;
    }

    public void setHh03(BigDecimal hh03) {
        this.hh03 = hh03;
    }

    public BigDecimal getHh04() {
        return hh04;
    }

    public void setHh04(BigDecimal hh04) {
        this.hh04 = hh04;
    }

    public BigDecimal getHh05() {
        return hh05;
    }

    public void setHh05(BigDecimal hh05) {
        this.hh05 = hh05;
    }

    public BigDecimal getHh06() {
        return hh06;
    }

    public void setHh06(BigDecimal hh06) {
        this.hh06 = hh06;
    }

    public BigDecimal getHh07() {
        return hh07;
    }

    public void setHh07(BigDecimal hh07) {
        this.hh07 = hh07;
    }

    public BigDecimal getHh08() {
        return hh08;
    }

    public void setHh08(BigDecimal hh08) {
        this.hh08 = hh08;
    }

    public BigDecimal getHh09() {
        return hh09;
    }

    public void setHh09(BigDecimal hh09) {
        this.hh09 = hh09;
    }

    public BigDecimal getHh10() {
        return hh10;
    }

    public void setHh10(BigDecimal hh10) {
        this.hh10 = hh10;
    }

    public BigDecimal getHh11() {
        return hh11;
    }

    public void setHh11(BigDecimal hh11) {
        this.hh11 = hh11;
    }

    public BigDecimal getHh12() {
        return hh12;
    }

    public void setHh12(BigDecimal hh12) {
        this.hh12 = hh12;
    }

    public BigDecimal getHh13() {
        return hh13;
    }

    public void setHh13(BigDecimal hh13) {
        this.hh13 = hh13;
    }

    public BigDecimal getHh14() {
        return hh14;
    }

    public void setHh14(BigDecimal hh14) {
        this.hh14 = hh14;
    }

    public BigDecimal getHh15() {
        return hh15;
    }

    public void setHh15(BigDecimal hh15) {
        this.hh15 = hh15;
    }

    public BigDecimal getHh16() {
        return hh16;
    }

    public void setHh16(BigDecimal hh16) {
        this.hh16 = hh16;
    }

    public BigDecimal getHh17() {
        return hh17;
    }

    public void setHh17(BigDecimal hh17) {
        this.hh17 = hh17;
    }

    public BigDecimal getHh18() {
        return hh18;
    }

    public void setHh18(BigDecimal hh18) {
        this.hh18 = hh18;
    }

    public BigDecimal getHh19() {
        return hh19;
    }

    public void setHh19(BigDecimal hh19) {
        this.hh19 = hh19;
    }

    public BigDecimal getHh20() {
        return hh20;
    }

    public void setHh20(BigDecimal hh20) {
        this.hh20 = hh20;
    }

    public BigDecimal getHh21() {
        return hh21;
    }

    public void setHh21(BigDecimal hh21) {
        this.hh21 = hh21;
    }

    public BigDecimal getHh22() {
        return hh22;
    }

    public void setHh22(BigDecimal hh22) {
        this.hh22 = hh22;
    }

    public BigDecimal getHh23() {
        return hh23;
    }

    public void setHh23(BigDecimal hh23) {
        this.hh23 = hh23;
    }

    public BigDecimal getHh00() {
        return hh00;
    }

    public void setHh00(BigDecimal hh00) {
        this.hh00 = hh00;
    }

    public String getUpdateReason() {
        return updateReason;
    }

    public void setUpdateReason(String updateReason) {
        this.updateReason = updateReason == null ? null : updateReason.trim();
    }

    public String getUptime() {
		return uptime;
	}

	public void setUptime(String uptime) {
		this.uptime = uptime;
	}

	public String getCrman() {
		return crman;
	}

	public void setCrman(String crman) {
		this.crman = crman;
	}

	@Override
    public String toString() {
		StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", itemid=").append(itemid);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", actualvalue=").append(actualvalue);
        sb.append(", correctvalue=").append(correctvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", stdvalue=").append(stdvalue);
        sb.append(", sumvalue=").append(sumvalue);
        sb.append(", sumstdvalue=").append(sumstdvalue);
        sb.append(", recTime=").append(recTime);
        sb.append(", teamsort=").append(teamsort);
        sb.append(", modifyflag=").append(modifyflag);
        sb.append(", islock=").append(islock);
        sb.append(", lockid=").append(lockid);
        sb.append(", consumevalue=").append(consumevalue);
        sb.append(", ucvalue=").append(ucvalue);
        sb.append(", sumucvalue=").append(sumucvalue);
        sb.append(", hh01=").append(hh01);
        sb.append(", hh02=").append(hh02);
        sb.append(", hh03=").append(hh03);
        sb.append(", hh04=").append(hh04);
        sb.append(", hh05=").append(hh05);
        sb.append(", hh06=").append(hh06);
        sb.append(", hh07=").append(hh07);
        sb.append(", hh08=").append(hh08);
        sb.append(", hh09=").append(hh09);
        sb.append(", hh10=").append(hh10);
        sb.append(", hh11=").append(hh11);
        sb.append(", hh12=").append(hh12);
        sb.append(", hh13=").append(hh13);
        sb.append(", hh14=").append(hh14);
        sb.append(", hh15=").append(hh15);
        sb.append(", hh16=").append(hh16);
        sb.append(", hh17=").append(hh17);
        sb.append(", hh18=").append(hh18);
        sb.append(", hh19=").append(hh19);
        sb.append(", hh20=").append(hh20);
        sb.append(", hh21=").append(hh21);
        sb.append(", hh22=").append(hh22);
        sb.append(", hh23=").append(hh23);
        sb.append(", hh00=").append(hh00);
        sb.append(", updateReason=").append(updateReason);
        sb.append(", userid=").append(userid);
        sb.append(", uptime=").append(uptime);
        sb.append(", crman=").append(crman);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public HashMap<String, Object> getId() {
        HashMap<String, Object> m = new HashMap<String, Object>();
        m.put("clock", clock);
        m.put("timegranid", timegranid);
        m.put("itemid", itemid);
        return m;
    }

    @Override
    public void setId(HashMap<String, Object> id) {
        this.clock = id.get("clock") == null ? "" : id.get("clock").toString().trim();
        this.timegranid = id.get("timegranid") == null ? "" : id.get("timegranid").toString().trim();
        this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
    }
}